# Uses of Interface
org.eclipse.birt.report.model.api.simpleapi.IReportDesign

Packages that use IReportDesign
Package
Description
org.eclipse.birt.report.model.api
Tool-writer's interface for the BIRT design model (also known as the "Design Engine.")
org.eclipse.birt.report.model.api.extension
Defines the fundamental interfaces for those extensions from the reportitem extension point.
org.eclipse.birt.report.model.api.impl
org.eclipse.birt.report.model.api.simpleapi
Report element representations in the BIRT simple API environment.

## Uses of IReportDesign in org.eclipse.birt.report.model.api

Methods in org.eclipse.birt.report.model.api that return IReportDesign
Modifier and Type
Method
Description
`IReportDesign`
DesignEngine.`openDesign(String fileName, InputStream ins, IModuleOption options)`
Opens the report design.
`IReportDesign`
IDesignEngine.`openDesign(String fileName, InputStream ins, IModuleOption options)`
Opens the report design.

## Uses of IReportDesign in org.eclipse.birt.report.model.api.extension

Methods in org.eclipse.birt.report.model.api.extension that return IReportDesign
Modifier and Type
Method
Description
`IReportDesign`
MultiRowItem.`getReport()`
`IReportDesign`
SimpleRowItem.`getReport()`

## Uses of IReportDesign in org.eclipse.birt.report.model.api.impl

Methods in org.eclipse.birt.report.model.api.impl that return IReportDesign
Modifier and Type
Method
Description
`IReportDesign`
DesignEngineImpl.`openDesign(String fileName, InputStream ins, IModuleOption options)`
Opens the report design.

## Uses of IReportDesign in org.eclipse.birt.report.model.api.simpleapi

Methods in org.eclipse.birt.report.model.api.simpleapi that return IReportDesign
Modifier and Type
Method
Description
`IReportDesign`
IDesignElement.`getReport()`
Gets the report.